#
# spec file for package sblim-cmpi-base (Version 1.5.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libidn libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-devel sblim-indication_helper sblim-indication_helper-devel sblim-sfcb sblim-testsuite sblim-wbemcli sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           sblim-cmpi-base
BuildRequires:  gcc-c++ sblim-cmpi-devel sblim-indication_helper-devel sblim-sfcb sblim-testsuite
Version:        1.5.6
Release:        0.14
Group:          System/Management
License:        IBM Public License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cim-server cim-schema
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh
Url:            http://www-124.ibm.com/sblim/
Source0:        http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Source1:        sblim-cmpi-base-rpmlintrc
#Patch0:         provider-register-with-ns.patch
#Patch1:         provider-register-with-ow-loadmof.patch
Summary:        SBLIM Base Instrumentation

%description
Standards Based Linux Instrumentation Base Providers



Authors:
--------
    SBLIM Project

%debug_package
%package devel
License:        IBM Public License
Summary:        SBLIM Base Instrumentation Header Development Files
Group:          System/Management
Requires:       %{name} = %{version}

%description devel
SBLIM Base Provider Development Package



Authors:
--------
    SBLIM Project

%package testsuite
License:        IBM Public License
Summary:        SBLIM Base Instrumentation (test suite)
Group:          System/Management
Requires:       %{name} = %{version}
Requires:       sblim-testsuite

%description testsuite
Test suite for the Standards Based Linux Instrumentation Base Providers



Authors:
--------
    SBLIM Project

%prep
%setup -T -b 0 -n %{name}-%{version}
#%patch0 -b .provider-register-with-ns.patch
#%patch1 -b .provider-register-with-ow-loadmof.patch

%build
autoreconf -fi
%configure TESTSUITEDIR=%{_datadir}/sblim-testsuite --disable-static
%{__make}

%install
%makeinstall docdir=%{_docdir}/%{name}

%clean

%pre
# definition of schema and registration files
%define SCHEMA %{_datadir}/%{name}/Linux_Base.mof %{_datadir}/%{name}/Linux_BaseIndication.mof
%define REGISTRATION %{_datadir}/%{name}/Linux_BaseIndication.registration
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
  if [ -x /usr/sbin/sfcbd ]; then
    %{_datadir}/%{name}/provider-register.sh -t sfcb -d \
	-r %{REGISTRATION} -m %{SCHEMA} > /dev/null ||:
  fi
fi

%post
# Register Schema and Provider - this is higly provider specific
if [ -x /usr/sbin/sfcbd ]; then
  %{_datadir}/%{name}/provider-register.sh -t sfcb \
	-r %{REGISTRATION} -m %{SCHEMA} > /dev/null ||:
fi
/sbin/ldconfig
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Base.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_BaseIndication.mof

%preun
# Deregister only if not upgrading 
if [ $1 -eq 0 ]; then
  if [ -x /usr/sbin/sfcbd ]; then
    %{_datadir}/%{name}/provider-register.sh  -t sfcb -d \
	-r %{REGISTRATION} -m %{SCHEMA} > /dev/null ||:
  fi
  /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_BaseIndication.mof
  /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Linux_Base.mof
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root) 
%doc %{_docdir}/%{name}
%dir %{_libdir}/cmpi/
%{_libdir}/cmpi/libcmpiOSBase*
%{_libdir}/libcmpiOSBase_Common.*
%{_libdir}/libdmiinfo.*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/provider-register.sh
%{_datadir}/%{name}/Linux_Base*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/sblim
%{_includedir}/sblim/*
%{_libdir}/libcmpiOSBase_Common.so
%{_libdir}/libdmiinfo.so

%files testsuite
%defattr(-,root,root)
%dir %{_datadir}/sblim-testsuite
%dir %{_datadir}/sblim-testsuite/cim
%dir %{_datadir}/sblim-testsuite/system
%dir %{_datadir}/sblim-testsuite/system/linux
%{_datadir}/sblim-testsuite/test-cmpi-base.sh
%{_datadir}/sblim-testsuite/cim/Linux*.cim
%{_datadir}/sblim-testsuite/system/linux/*.pl
%{_datadir}/sblim-testsuite/system/linux/*.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.version.sh
%{_datadir}/sblim-testsuite/system/linux/createKeyFiles.sh

%changelog
* Fri Dec 12 2008 - bwhiteley@suse.de
- Added .a and .la files back.  Added back PreReq for loadmof.sh
  and rmmof.sh.
* Fri Dec 12 2008 - bwhiteley@suse.de
- Made use of provider-register.sh conditional on presence of sfcb,
  and added back calls to loadmof.sh/rmmof.sh so the package works
  for both sfcb and openwbem.
* Mon Aug 25 2008 - npaxton@novell.com
- Revert back some of changes:
  remove symlink in /usr/sbin
  remove namespace and ow-loadmof patches in provider-register.sh
* Wed Jul 09 2008 - npaxton@novell.com
- Fix docdir issues in spec file
* Wed Jul 09 2008 - npaxton@novell.com
- Minor spec file cleanup
  -remove 'rm -rf buildroot'
  -move .la back to main pkg
* Mon Jul 07 2008 - npaxton@novell.com
- Sync spec file between sle10-sp2 and stable
- Add symlink to this package's provider-register.sh from
  /usr/sbin : several other packages will use this package's
  provider-register script, and can't access script in
  fully-qualified path in /usr/share
* Fri May 30 2008 - npaxton@novell.com
- change registration from loadmof to provider-register to support
  multiple cimoms, then modified provider-register.sh to use
  ow-loadmof.sh and ow-rmmof.sh for openwbem cimom
- added dependency on sblim-indication_helper-devel so will build
  indication support
* Mon Feb 12 2007 - mrueckert@suse.de
- update to version 1.5.6: (#243804)
  (bug numbers from upstream bugtracking)
  - 1228864 Fixed IA64 Processor Detection
  - 1331755 Fixed timezone recognition problem (on zSeries)
  - 1328703 Fixed strange version string problem
  - 1203849 Removed compile warnings with CMPI >= 1.0.0
  - 1199129 Full support of CMPI 1.0.0
  - 1331750 Removed invalid clock speeds for zSeries/S390
  - 1353086 Suppress error output in RPM scriptlets
- removed patches applied upstream:
  cmpi-base-proc-ia64.patch
  sblim-cmpi-base-processutil.patch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mrueckert@suse.de
- replaced my header patch with a patch from upstream
* Sun Jan 15 2006 - mrueckert@suse.de
- fixed Makefile to install all headers. some headers where missing
  but required for other modules.
* Mon Nov 14 2005 - mrueckert@suse.de
- Fix CPU detecion on ia64.[#95989]
* Wed Oct 26 2005 - mrueckert@suse.de
- Use openwbem instead of pegasuswbem.
- Update to version 1.5.4.
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Mon Nov 15 2004 - ro@suse.de
- fixed file list
* Wed May 19 2004 - nashif@suse.de
- Fix issue with empty dnsdomainname resulting in grep errors
* Mon May 17 2004 - ro@suse.de
- fix spec file
* Wed May 12 2004 - nashif@suse.de
- Do not deregister providers when updating package
* Mon May 10 2004 - nashif@suse.de
- #40275: consistence test for class Linux_Processor fails
  on Linux on S390
- Dereigster providers when uninstalling (#39667)
* Fri Apr 30 2004 - nashif@suse.de
- Install testsuite files
* Fri Apr 16 2004 - nashif@suse.de
- Update version with bugfixes from IBM
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh (#38891)
* Wed Apr 07 2004 - nashif@suse.de
- Update to latest version from the sblim project
- register providers in %%post
- Requires cim-server
* Mon Mar 29 2004 - ro@suse.de
- add x86_64/ia64 to platform.sh that code is just looking
  at proc/cpuinfo anyway
* Tue Mar 23 2004 - meissner@suse.de
- really apply fpic patch.
* Tue Mar 23 2004 - meissner@suse.de
- fixed lib64 handling, added -fPIC and RPM_OPT_FLAGS.
* Tue Mar 23 2004 - nashif@suse.de
- Initial Release
